<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

/**
 * Коды пунктов меню:
 * * `products` - Раздел "Товары"
 * * `products_catalog` - Подраздел "Товары->Каталог товаров"
 * * `products_imports` - Подраздел "Товары->Импорт товаров"
 * * `products_categories` - Подраздел "Товары->Категории товаров"
 * * `products_attributes` - Подраздел "Товары->Атрибуты"
 * * `products_brands` - Подраздел "Товары->Бренды"
 * * `products_product_groups` - Подраздел "Товары->Товарные склейки"
 * * `products_statuses` - Подраздел "Товары->Статусная модель"
 * * `products_entities` - Подраздел "Товары->Pim сущности"
 * * `products_entities_failed_jobs` - Подраздел "Товары->Pim сущности->Failed Jobs"
 * * `products_entities_temp_files` - Подраздел "Товары->Pim сущности->Temp Files"
 * * `products_entities_product_events` - Подраздел "Товары->Pim сущности->Product Events"
 * * `products_entities_actual_category_properties` - Подраздел "Товары->Pim сущности->Actual Category Properties"
 * * `products_entities_actualize_categories` - Подраздел "Товары->Pim сущности->Actualize Categories"
 * * `catalog_cache_entities` - Подраздел "Товары->Catalog Cache сущности"
 * * `catalog_cache_entities_failed_jobs` - Подраздел "Товары->Catalog Cache сущности->Failed Jobs"
 * * `catalog_cache_entities_indexer_timestamps` - Подраздел "Товары->Catalog Cache сущности->Indexer Timestamps"
 * * `catalog_cache_entities_property_directory_values` - Подраздел "Товары->Catalog Cache сущности->Property Directory Values"
 * * `catalog_cache_entities_properties` - Подраздел "Товары->Catalog Cache сущности->Properties"
 * * `catalog_cache_entities_products` - Подраздел "Товары->Catalog Cache сущности->Products"
 * * `catalog_cache_entities_images` - Подраздел "Товары->Catalog Cache сущности->Images"
 * * `catalog_cache_entities_product_property_values` - Подраздел "Товары->Catalog Cache сущности->Product Property Values"
 * * `catalog_cache_entities_product_group_products` - Подраздел "Товары->Catalog Cache сущности->Product Group Products"
 * * `catalog_cache_entities_product_groups` - Подраздел "Товары->Catalog Cache сущности->Product Groups"
 * * `catalog_cache_entities_offers` - Подраздел "Товары->Catalog Cache сущности->Offers"
 * * `catalog_cache_entities_discounts` - Подраздел "Товары->Catalog Cache сущности->Discounts"
 * * `catalog_cache_entities_nameplates` - Подраздел "Товары->Catalog Cache сущности->Nameplates"
 * * `catalog_cache_entities_nameplates_products` - Подраздел "Товары->Catalog Cache сущности->Nameplates Products"
 * * `catalog_cache_entities_actual_category_properties` - Подраздел "Товары->Catalog Cache сущности->Actual Category Properties"
 * * `catalog_cache_entities_categories` - Подраздел "Товары->Catalog Cache сущности->Categories"
 * * `catalog_cache_entities_brands` - Подраздел "Товары->Catalog Cache сущности->Brands"
 * * `baskets_entities` - Подраздел "Товары->Baskets сущности"
 * * `baskets_entities_baskets` - Подраздел "Товары->Baskets сущности->Baskets"
 * * `baskets_entities_basket_items` - Подраздел "Товары->Baskets сущности->Basket Items"
 * * `orders` - Раздел "Заказы"
 * * `orders_orders` - Подраздел "Заказы->Список заказов"
 * * `orders_refunds` - Подраздел "Заказы->Возвраты"
 * * `orders_settings` - Подраздел "Заказы->Настройки"
 * * `feeds` - Раздел "Фиды"
 * * `content` - Раздел "Контент"
 * * `content_banners` - Подраздел "Контент->Баннеры"
 * * `content_nameplates` - Подраздел "Контент->Товарные теги"
 * * `content_pages` - Подраздел "Контент->Страницы"
 * * `content_seo_templates` - Подраздел "Контент->SEO-шаблоны"
 * * `content_technical_tables` - Подраздел "Контент->Технические таблицы"
 * * `content_technical_tables_banner_types` - Подраздел "Контент->Технические таблицы->Типы банеров"
 * * `logistic` - Раздел "Логистика"
 * * `logistic_pickup_points` - Подраздел "Логистика->Точки самовывоза"
 * * `logistic_delivery_prices` - Подраздел "Логистика->Стоимость доставки по регионам"
 * * `logistic_delivery_options_settings` - Подраздел "Логистика->Параметры доставки"
 * * `customers` - Раздел "Клиенты"
 * * `sellers` - Раздел "Продавцы"
 * * `sellers_sellers` - Подраздел "Продавцы->Список продавцов"
 * * `sellers_stores` - Подраздел "Продавцы->Склады"
 * * `marketing` - Раздел "Маркетинг"
 * * `marketing_promo_codes` - Подраздел "Маркетинг->Промокоды"
 * * `marketing_discounts` - Подраздел "Маркетинг->Скидки"
 * * `communications` - Раздел "Коммуникации"
 * * `communications_notifications` - Подраздел "Коммуникации->Сервисные уведомления"
 * * `communications_entities` - Подраздел "Коммуникации->Communications сущности"
 * * `communications_entities_notifications` - Подраздел "Коммуникации->Communications сущности->Notifications"
 * * `reviews` - Раздел "Отзывы"
 * * `reviews_reviews` - Подраздел "Отзывы->Список отзывов"
 * * `settings` - Раздел "Настройки"
 * * `settings_users` - Подраздел "Настройки->Пользователи"
 * * `settings_users_roles` - Подраздел "Настройки->Роли пользователей"
 * * `settings_cloud_integration` - Подраздел "Настройки->Параметры поиска"
 * * `offers` - Раздел "Офферы"
 * * `offers_entities` - Подраздел "Товары->Offers сущности"
 * * `offers_entities_failed_jobs` - Подраздел "Товары->Offers сущности->Failed Jobs"
 */
enum MenuItemCodeEnum: string
{
    /** Раздел "Товары" */
    case PRODUCTS = 'products';
    /** Подраздел "Товары->Каталог товаров" */
    case PRODUCTS_CATALOG = 'products_catalog';
    /** Подраздел "Товары->Импорт товаров" */
    case PRODUCTS_IMPORTS = 'products_imports';
    /** Подраздел "Товары->Категории товаров" */
    case PRODUCTS_CATEGORIES = 'products_categories';
    /** Подраздел "Товары->Атрибуты" */
    case PRODUCTS_ATTRIBUTES = 'products_attributes';
    /** Подраздел "Товары->Бренды" */
    case PRODUCTS_BRANDS = 'products_brands';
    /** Подраздел "Товары->Товарные склейки" */
    case PRODUCTS_PRODUCT_GROUPS = 'products_product_groups';
    /** Подраздел "Товары->Статусная модель" */
    case PRODUCTS_STATUSES = 'products_statuses';
    /** Подраздел "Товары->Pim сущности" */
    case PRODUCTS_ENTITIES = 'products_entities';
    /** Подраздел "Товары->Pim сущности->Failed Jobs" */
    case PRODUCTS_ENTITIES_FAILED_JOBS = 'products_entities_failed_jobs';
    /** Подраздел "Товары->Pim сущности->Temp Files" */
    case PRODUCTS_ENTITIES_TEMP_FILES = 'products_entities_temp_files';
    /** Подраздел "Товары->Pim сущности->Product Events" */
    case PRODUCTS_ENTITIES_PRODUCT_EVENTS = 'products_entities_product_events';
    /** Подраздел "Товары->Pim сущности->Actual Category Properties" */
    case PRODUCTS_ENTITIES_ACTUAL_CATEGORY_PROPERTIES = 'products_entities_actual_category_properties';
    /** Подраздел "Товары->Pim сущности->Actualize Categories" */
    case PRODUCTS_ENTITIES_ACTUALIZE_CATEGORIES = 'products_entities_actualize_categories';
    /** Подраздел "Товары->Catalog Cache сущности" */
    case CATALOG_CACHE_ENTITIES = 'catalog_cache_entities';
    /** Подраздел "Товары->Catalog Cache сущности->Failed Jobs" */
    case CATALOG_CACHE_ENTITIES_FAILED_JOBS = 'catalog_cache_entities_failed_jobs';
    /** Подраздел "Товары->Catalog Cache сущности->Indexer Timestamps" */
    case CATALOG_CACHE_ENTITIES_INDEXER_TIMESTAMPS = 'catalog_cache_entities_indexer_timestamps';
    /** Подраздел "Товары->Catalog Cache сущности->Property Directory Values" */
    case CATALOG_CACHE_ENTITIES_PROPERTY_DIRECTORY_VALUES = 'catalog_cache_entities_property_directory_values';
    /** Подраздел "Товары->Catalog Cache сущности->Properties" */
    case CATALOG_CACHE_ENTITIES_PROPERTIES = 'catalog_cache_entities_properties';
    /** Подраздел "Товары->Catalog Cache сущности->Products" */
    case CATALOG_CACHE_ENTITIES_PRODUCTS = 'catalog_cache_entities_products';
    /** Подраздел "Товары->Catalog Cache сущности->Images" */
    case CATALOG_CACHE_ENTITIES_IMAGES = 'catalog_cache_entities_images';
    /** Подраздел "Товары->Catalog Cache сущности->Product Property Values" */
    case CATALOG_CACHE_ENTITIES_PRODUCT_PROPERTY_VALUES = 'catalog_cache_entities_product_property_values';
    /** Подраздел "Товары->Catalog Cache сущности->Product Group Products" */
    case CATALOG_CACHE_ENTITIES_PRODUCT_GROUP_PRODUCTS = 'catalog_cache_entities_product_group_products';
    /** Подраздел "Товары->Catalog Cache сущности->Product Groups" */
    case CATALOG_CACHE_ENTITIES_PRODUCT_GROUPS = 'catalog_cache_entities_product_groups';
    /** Подраздел "Товары->Catalog Cache сущности->Offers" */
    case CATALOG_CACHE_ENTITIES_OFFERS = 'catalog_cache_entities_offers';
    /** Подраздел "Товары->Catalog Cache сущности->Discounts" */
    case CATALOG_CACHE_ENTITIES_DISCOUNTS = 'catalog_cache_entities_discounts';
    /** Подраздел "Товары->Catalog Cache сущности->Nameplates" */
    case CATALOG_CACHE_ENTITIES_NAMEPLATES = 'catalog_cache_entities_nameplates';
    /** Подраздел "Товары->Catalog Cache сущности->Nameplates Products" */
    case CATALOG_CACHE_ENTITIES_NAMEPLATES_PRODUCTS = 'catalog_cache_entities_nameplates_products';
    /** Подраздел "Товары->Catalog Cache сущности->Actual Category Properties" */
    case CATALOG_CACHE_ENTITIES_ACTUAL_CATEGORY_PROPERTIES = 'catalog_cache_entities_actual_category_properties';
    /** Подраздел "Товары->Catalog Cache сущности->Categories" */
    case CATALOG_CACHE_ENTITIES_CATEGORIES = 'catalog_cache_entities_categories';
    /** Подраздел "Товары->Catalog Cache сущности->Brands" */
    case CATALOG_CACHE_ENTITIES_BRANDS = 'catalog_cache_entities_brands';
    /** Подраздел "Товары->Baskets сущности" */
    case BASKETS_ENTITIES = 'baskets_entities';
    /** Подраздел "Товары->Baskets сущности->Baskets" */
    case BASKETS_ENTITIES_BASKETS = 'baskets_entities_baskets';
    /** Подраздел "Товары->Baskets сущности->Basket Items" */
    case BASKETS_ENTITIES_BASKET_ITEMS = 'baskets_entities_basket_items';
    /** Раздел "Заказы" */
    case ORDERS = 'orders';
    /** Подраздел "Заказы->Список заказов" */
    case ORDERS_ORDERS = 'orders_orders';
    /** Подраздел "Заказы->Возвраты" */
    case ORDERS_REFUNDS = 'orders_refunds';
    /** Подраздел "Заказы->Настройки" */
    case ORDERS_SETTINGS = 'orders_settings';
    /** Раздел "Фиды" */
    case FEEDS = 'feeds';
    /** Раздел "Контент" */
    case CONTENT = 'content';
    /** Подраздел "Контент->Баннеры" */
    case CONTENT_BANNERS = 'content_banners';
    /** Подраздел "Контент->Товарные теги" */
    case CONTENT_NAMEPLATES = 'content_nameplates';
    /** Подраздел "Контент->Страницы" */
    case CONTENT_PAGES = 'content_pages';
    /** Подраздел "Контент->SEO-шаблоны" */
    case CONTENT_SEO_TEMPLATES = 'content_seo_templates';
    /** Подраздел "Контент->Технические таблицы" */
    case CONTENT_TECHNICAL_TABLES = 'content_technical_tables';
    /** Подраздел "Контент->Технические таблицы->Типы банеров" */
    case CONTENT_TECHNICAL_TABLES_BANNER_TYPES = 'content_technical_tables_banner_types';
    /** Раздел "Логистика" */
    case LOGISTIC = 'logistic';
    /** Подраздел "Логистика->Точки самовывоза" */
    case LOGISTIC_PICKUP_POINTS = 'logistic_pickup_points';
    /** Подраздел "Логистика->Стоимость доставки по регионам" */
    case LOGISTIC_DELIVERY_PRICES = 'logistic_delivery_prices';
    /** Подраздел "Логистика->Параметры доставки" */
    case LOGISTIC_DELIVERY_OPTIONS_SETTINGS = 'logistic_delivery_options_settings';
    /** Раздел "Клиенты" */
    case CUSTOMERS = 'customers';
    /** Раздел "Продавцы" */
    case SELLERS = 'sellers';
    /** Подраздел "Продавцы->Список продавцов" */
    case SELLERS_SELLERS = 'sellers_sellers';
    /** Подраздел "Продавцы->Склады" */
    case SELLERS_STORES = 'sellers_stores';
    /** Раздел "Маркетинг" */
    case MARKETING = 'marketing';
    /** Подраздел "Маркетинг->Промокоды" */
    case MARKETING_PROMO_CODES = 'marketing_promo_codes';
    /** Подраздел "Маркетинг->Скидки" */
    case MARKETING_DISCOUNTS = 'marketing_discounts';
    /** Раздел "Коммуникации" */
    case COMMUNICATIONS = 'communications';
    /** Подраздел "Коммуникации->Сервисные уведомления" */
    case COMMUNICATIONS_NOTIFICATIONS = 'communications_notifications';
    /** Подраздел "Коммуникации->Communications сущности" */
    case COMMUNICATIONS_ENTITIES = 'communications_entities';
    /** Подраздел "Коммуникации->Communications сущности->Notifications" */
    case COMMUNICATIONS_ENTITIES_NOTIFICATIONS = 'communications_entities_notifications';
    /** Раздел "Отзывы" */
    case REVIEWS = 'reviews';
    /** Подраздел "Отзывы->Список отзывов" */
    case REVIEWS_REVIEWS = 'reviews_reviews';
    /** Раздел "Настройки" */
    case SETTINGS = 'settings';
    /** Подраздел "Настройки->Пользователи" */
    case SETTINGS_USERS = 'settings_users';
    /** Подраздел "Настройки->Роли пользователей" */
    case SETTINGS_USERS_ROLES = 'settings_users_roles';
    /** Подраздел "Настройки->Параметры поиска" */
    case SETTINGS_CLOUD_INTEGRATION = 'settings_cloud_integration';
    /** Раздел "Офферы" */
    case OFFERS = 'offers';
    /** Подраздел "Товары->Offers сущности" */
    case OFFERS_ENTITIES = 'offers_entities';
    /** Подраздел "Товары->Offers сущности->Failed Jobs" */
    case OFFERS_ENTITIES_FAILED_JOBS = 'offers_entities_failed_jobs';
}
